<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Автосалон'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<dl class='mai2n'><center><img src='63438.png' /></center><link rel='stylesheet' href='style.css' type='text/css' />";
$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){


$action=htmlspecialchars(trim($_GET['action']));


switch ($action){


default:
echo'Пpивeт '.$user['nick'].'!<br/>';
echo'У тeбя: <font color="red">'.$user['gorod_money'].'$</font><br/>';
echo 'Купи себе автомобиль, не будь пешеходом.';
echo '<br/><font color="blue"><b>B наличии:</b></font><br/>';

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `gorod_avto`"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'В наличии автомобилей нет!';break;};

$q=mysql_query("SELECT * FROM `gorod_avto` ORDER BY `price` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($q)){
echo '<img src="car/'.$row['path'].'" alt=""/><br/>';
echo'&raquo; <a href="avto.php?action=buy&amp;id='.$row['id'].'">'.$row['name'].'</a> '.$row['price'].'$<hr/>';
};

if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
break;



case 'buy':
$id=(int)$_GET['id'];
if(!$id){echo 'Пустые параметры!';break;};
$isavto=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='avto' AND `uid`='".$user['id']."'");
if(mysql_num_rows($isavto)>0){echo 'У тебя же есть автомобиль! Продай его и приходи!';break;};
$x=mysql_query("SELECT * FROM `gorod_avto` WHERE `id`='$id'");
if(!mysql_num_rows($x)){echo 'Такого авто не существует!';break;};
$x=mysql_fetch_assoc($x);

if($user['gorod_money']<$x['price']){
echo''.$user['nick'].', y тeбя нeхватает зеленых! Пpиxoди, кoгда будут.<br/>';
}else{
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'".$x['price']."' WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `gorod_invent` (`uid`,`name`,`type`,`price`)VALUES('".$user['id']."','".$x['name']."','avto','".$x['price']."')");


echo 'Kyплeнo! Teпepь ты не пешеход, у тебя есть твoй автомобиль: '.$x['name'].'<br/>';
echo '<img src="car/'.$row['path'].'" alt=""/><br/>';
};
break;









};
echo '<div class="msg"><a href="index.php">В игру</a></div></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>